
#include "VideoView.h"

class QuitFilter : public BMessageFilter
{
public:
						QuitFilter()
							: BMessageFilter(	B_ANY_DELIVERY,
												B_ANY_SOURCE,
												B_QUIT_REQUESTED) {};
virtual	filter_result 	Filter(BMessage *msg, BHandler **target);
};

filter_result QuitFilter::Filter(BMessage *msg, BHandler **target)
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return B_DISPATCH_MESSAGE;
};

void main()
{
	new BApplication('visi');

	BRect r(0,0,319,239);
	r.OffsetTo(BPoint(100,100));
	BWindow *w = new BWindow(r,"QuickCam",B_TITLED_WINDOW,0);
	w->Lock();
	r.OffsetTo(B_ORIGIN);
	VideoView *vv = new VideoView(r,QCAM_160x120,6);
	w->AddChild(vv);
	w->AddCommonFilter(new QuitFilter());
	w->Unlock();
	w->Show();
	
	be_app->Run();
	delete be_app;
};
